<template>
      <div id="post-comment" class="col-sm-12 col-md-6 well">
        <form>
          <div class="form-group">
            <label for="commnetUsername">Username</label>
            <input type="text" class="form-control input-sm" 
            id="commentUsername" placeholder="username"
            v-model="comment.username">
          </div>
          <div class="form-group">
            <label for="commentText">Comment</label>
            <textarea class="form-control" 
              id="commentText" placeholder="text"
              v-model="comment.content" rows="5">
            </div>
            <div class="text-right">
              <button @click.prevent="addComment"
                type="submit"
              class="btn btn-default">Submit</button>
          </div>
          </form>
    </div>
</template>

<script>
export default {
  name: 'CommentCreate',
  props: ['post_id'],
  data () {
    return {
      comment: {
        username: '',
        content: ''
      }
    }
  },
  methods: {
    addComment () {
      this.$http.post(`blog/post/${this.post_id.$oid}/comment`, this.comment)
        .then(response => {
          this.$store.commit('addComment', response.body)
          this.$store.commit('addAlert', {
            type: 'success',
            message: 'Your comment has been added'
          })
        }, error => {
          console.log(error)
        })
    }
  }
}
</script>

<style scoped>
</style>
